# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_PlaneDriver Class Reference

An implementation of TPrsStd_Driver for planes.
.

`#include <TPrsStd_PlaneDriver.hxx>`

Inheritance diagram for TPrsStd_PlaneDriver:

[legend]

## Public Member Functions

Standard_EXPORT | TPrsStd_PlaneDriver ()
| Constructs an empty plane driver. .
virtual Standard_EXPORT Standard_Boolean | Update (const TDF_Label &aLabel, Handle(AIS_InteractiveObject)&anAISObject)
| Build the AISObject (if null) or update it. No compute is done. Returns <true> if informations was found and AISObject updated. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_PlaneDriver::TPrsStd_PlaneDriver | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const TPrsStd_PlaneDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TPrsStd_Driver.

virtual Standard_EXPORT Standard_Boolean TPrsStd_PlaneDriver::Update | ( | const TDF_Label & | aLabel,
|  | Handle(AIS_InteractiveObject)& | anAISObject
| ) | `[virtual]`

| Implements TPrsStd_Driver.

The documentation for this class was generated from the following file:

- TPrsStd_PlaneDriver.hxx